CVE-2021-39255

NameCVE-2021-39255
DescriptionA crafted NTFS image can trigger an out-of-bounds read, caused by an invalid attribute in ntfs_attr_find_in_attrdef, in NTFS-3G < 2021.8.22.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4971-1
NVD severitymedium
Debian Bugs988386

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ntfs-3g (PTS)stretch (security), stretch1:2016.2.22AR.1+dfsg-1+deb9u1vulnerable
buster1:2017.3.23AR.3-3vulnerable
buster (security)1:2017.3.23AR.3-3+deb10u1fixed
bullseye1:2017.3.23AR.3-4vulnerable
bullseye (security)1:2017.3.23AR.3-4+deb11u1fixed
bookworm, sid1:2021.8.22-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ntfs-3gsourceexperimental1:2021.8.22-1
ntfs-3gsourcebuster1:2017.3.23AR.3-3+deb10u1DSA-4971-1
ntfs-3gsourcebullseye1:2017.3.23AR.3-4+deb11u1DSA-4971-1
ntfs-3gsource(unstable)1:2021.8.22-2988386

Notes

https://www.openwall.com/lists/oss-security/2021/08/30/1
https://github.com/tuxera/ntfs-3g/security/advisories/GHSA-q759-8j5v-q5jp

Search for package or bug name: Reporting problems